#
# spec file for package orbit (Version 0.5.8)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  glib glib-devel indent popt
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gppshare grep groff gzip indent kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl popt ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         orbit
%define prefix     /usr
%define sysconfdir /etc
Copyright:    LGPL/GPL
Group:        Development/System
Provides:     ORBit 
Autoreqprov:  on
Summary:      A high-performance CORBA ORB
Version:      0.5.8
Release:      71
Source:       ftp://ftp.gnome.org/pub/GNOME/sources/ORBit/ORBit-%{version}.tar.bz2
BuildRoot:    /var/tmp/orbit-root
URL:          http://www.labs.redhat.com/orbit/

%description
ORBit is a high-performance CORBA ORB used by the GNOME Project.
It allows programs to send requests and receive replies from other
programs, regardless of the locations of the two programs.
You will need to install this package and the
related header files, libraries and utilities
if you want to write programs that use CORBA
technology (cf. package "orbit-devel").

Authors:
--------
    Elliot Lee <sopwith@redhat.com>
    Philip Dawes <philipd@parallax.co.uk>
    Andrew Veliath <andrewtv@usa.net>
    Tom Tromey <tromey@cygnus.com>
    Dick Porter <dick@cymru.net>

SuSE series: d

%package devel
Summary:      The ORBit development environment
Group:		Development/System
Obsoletes:	orbitdev
Provides:	ORBit-devel
Autoreqprov:	on
Requires:	indent
Requires:	glib-devel

%description devel
This package includes the header files, libraries, and utilities
neecessary to write programs that use CORBA technology.

Authors:
--------
    Elliot Lee <sopwith@redhat.com>
    Philip Dawes <philipd@parallax.co.uk>
    Andrew Veliath <andrewtv@usa.net>
    Tom Tromey <tromey@cygnus.com>
    Dick Porter <dick@cymru.net>

SuSE series: d

%prep
%setup -n ORBit-%{version}

%build
%{?suse_update_config:%{suse_update_config -f popt libIDL}}
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%prefix \
            --infodir=%{_infodir} \
            --sysconfdir=%sysconfdir
make

%install
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README TODO
%doc -P libIDL/COPYING libIDL/AUTHORS
%doc -P libIDL/README* libIDL/NEWS libIDL/BUGS libIDL/tstidl.c
%{prefix}/lib/lib*.so.*
%{prefix}/bin/*-server
%{prefix}/bin/ior-decode
%{prefix}/bin/name-client
%{prefix}/bin/orbit-ird

%files devel
%defattr(-, root, root)
%{prefix}/bin/orbit-idl
%{prefix}/bin/orbit-config
%{prefix}/bin/libIDL-config
%{prefix}/include/*
%{_infodir}/libIDL*
%{prefix}/lib/*.sh
%{prefix}/lib/lib*.a
%{prefix}/lib/lib*.so
%{prefix}/share/aclocal/*

%changelog -n orbit
* Mon Aug 13 2001 - ro@suse.de
- use DESTDIR in install section
* Mon Jun 04 2001 - egger@suse.de
- Updated to version 0.5.8.
* Fri Feb 16 2001 - hhetter@suse.de
- update to 0.5.7
* Fri Jan 05 2001 - kukuk@suse.de
- Fix requires: glibdev -> glib-devel
* Sun Dec 31 2000 - egger@suse.de
- Cleaned up specfile even more.
- Recompressed files with bzip2.
- Updated to version 0.5.6. Bugfix release.
* Sat Dec 09 2000 - egger@suse.de
- Cleaned up specfile and added missing file.
* Sat Dec 09 2000 - egger@suse.de
- Updated to version 0.5.5.
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Mon Oct 30 2000 - egger@suse.de
- Updated to version 0.5.4.
- Made package ready for long packagenames.
* Tue Aug 29 2000 - egger@suse.de
- Updated to version 0.5.3.
- Renamed .spec file to orbit.spec.
* Fri Apr 07 2000 - bk@suse.de
- added suse update config macro
* Wed Mar 15 2000 - ke@suse.de
- update to version 0.5.1.
* Thu Mar 02 2000 - ke@suse.de
- spec file cleanup:
- use rpm macros (version, _mandir, etc.).
- add group tag.
- ./configure -> %%build
* Tue Oct 12 1999 - ke@suse.de
- update: 0.5.0.
- fix requires.
* Tue Oct 05 1999 - ke@suse.de
- fix check macro invocation.
* Tue Sep 21 1999 - ke@suse.de
- update: 0.4.95.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Aug 20 1999 - ke@suse.de
- update: 0.4.93.
* Tue Jul 13 1999 - bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Fri Jul 09 1999 - ke@suse.de
- update: 0.4.92.
* Mon Jun 14 1999 - ke@suse.de
- update: version 0.4.90.
* Sat Apr 10 1999 - ke@suse.de
- update: version 0.4.3.
* Sat Mar 27 1999 - ke@suse.de
- update: version 0.4.2.
* Fri Feb 26 1999 - ke@suse.de
- update: version 0.4.0.
- filelist improvements.
* Tue Feb 16 1999 - ke@suse.de
- update: version 0.3.98.
* Sun Feb 14 1999 - ke@suse.de
- update: version 0.3.97.
* Tue Feb 09 1999 - ke@suse.de
- update: version 0.3.96.
* Sat Jan 09 1999 - ke@suse.de
- update: version 0.3.91.
- sync file list with redhat's spec file.
- call configure in %%prep section.
- provide a useful `sysconfdir'.
* Sun Nov 29 1998 - bs@suse.de
- call Check to compress info page.
* Wed Nov 18 1998 - ro@suse.de
- adapted neededforbuild
* Wed Sep 30 1998 - ke@suse.de
- #neededforbuild indent.
* Sun Sep 27 1998 - ke@suse.de
- initial package: version 0.3.0.
